<?php

namespace Lc\SovBundle\Factory\Ticket;

use App\Entity\Ticket\TicketMessage;
use Lc\SovBundle\Factory\AbstractFactory;
use Lc\SovBundle\Model\Ticket\TicketInterface;
use Lc\SovBundle\Model\Ticket\TicketMessageInterface;

class TicketMessageFactory extends AbstractFactory implements TicketMessageFactoryInterface
{
    public function create(TicketInterface $ticket): TicketMessageInterface
    {
        $ticketMessage = new TicketMessage();

        $ticketMessage->setTicket($ticket);
        $ticketMessage->setStatus(1);

        return $ticketMessage;
    }
}
